
body, html {
    height: 100%
}

html {
    font-family: sans-serif;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    font-size: 62.5%;
    -webkit-tap-highlight-color: transparent
}

body {
    margin: 0;
    color: var(--token-brand-primary-1-400);
    opacity: 1 !important;
    scroll-behavior: smooth;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

article, aside, details, figcaption, figure, footer, header, hgroup, main, menu, nav, section, summary {
    display: block
}

audio, canvas, progress, video {
    display: inline-block;
    vertical-align: baseline
}

audio:not([controls]) {
    display: none;
    height: 0
}

[hidden], template {
    display: none
}

a {
    background-color: transparent
}

a:active, a:hover {
    outline: 0
}

abbr[title] {
    border-bottom: 1px dotted
}

b, strong {
    font-weight: 700
}

dfn {
    font-style: italic
}

h1 {
    font-size: 2em;
    margin: .67em 0
}

mark {
    background: #ff0;
    color: #000
}

small {
    font-size: 80%
}

sub, sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline
}

sup {
    top: -.5em
}

sub {
    bottom: -.25em
}

img {
    border: 0;
    vertical-align: middle;
    max-width: 100%
}

svg:not(:root) {
    overflow: hidden
}

figure {
    margin: 1em 40px
}

hr {
    box-sizing: content-box;
    height: 0
}

pre {
    overflow: auto
}

code, kbd, pre, samp {
    font-family: monospace, monospace;
    font-size: 1em
}

button, input, optgroup, select, textarea {
    color: inherit;
    font: inherit;
    margin: 0
}

button {
    overflow: visible
}

button, select {
    text-transform: none
}

button, html input[type=button], input[type=reset], input[type=submit] {
    -webkit-appearance: button;
    cursor: pointer
}

button[disabled], html input[disabled] {
    cursor: default
}

button::-moz-focus-inner, input::-moz-focus-inner {
    border: 0;
    padding: 0
}

input {
    line-height: normal
}

input[type=checkbox], input[type=radio] {
    box-sizing: border-box;
    padding: 0
}

input[type=number]::-webkit-inner-spin-button, input[type=number]::-webkit-outer-spin-button {
    height: auto
}

input[type=search] {
    -webkit-appearance: textfield;
    box-sizing: content-box
}

input[type=search]::-webkit-search-cancel-button, input[type=search]::-webkit-search-decoration {
    -webkit-appearance: none
}

fieldset {
    border: 1px solid silver;
    margin: 0 2px;
    padding: .35em .625em .75em
}

legend {
    border: 0
}

textarea {
    overflow: auto
}

optgroup {
    font-weight: 700
}

table {
    border-collapse: collapse;
    border-spacing: 0
}

legend, td, th {
    padding: 0
}

#root {
    height: 100%
}

input::-webkit-inner-spin-button, input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0
}

input[type=number] {
    -moz-appearance: textfield
}

.grecaptcha-badge {
    visibility: hidden
}

.page-wrapper {
    white-space: nowrap;
    overflow: hidden;
    max-width: 100vw
}

.page-wrapper__content {
    vertical-align: top;
    display: inline-block;
    width: 100%;
    white-space: normal
}

.layout {
    height: 100%;
    color: var(--token-brand-primary-1-400);
    font-family: var(--token-font-ui-family);
    font-size: 14px;
    line-height: 1.25;
    text-shadow: none;
    font-weight: 400;
    background-color: var(--token-brand-secondary-4)
}

.layout__placeholder-header {
    height: 88px
}

.layout__placeholder-header.layout__placeholder-header_with_demo {
    height: 177px
}

.layout__placeholder-header.layout__placeholder-header-mobile {
    position: absolute;
    height: 40px
}

.layout__placeholder-header.layout__placeholder-header-mobile_with_demo {
    height: 128px
}

.layout__content {
    display: flex;
    flex-direction: column
}

.layout__main {
    flex: 1;
    padding-bottom: 0
}

.layout__container {
    box-sizing: border-box;
    max-width: 1200px;
    margin: auto;
    padding-right: 10px;
    padding-left: 10px
}

.layout__container:after, .layout__container:before {
    content: "";
    display: table
}

.layout__container_width_800 {
    max-width: 800px
}

.layout__p {
    color: var(--token-brand-primary-1-400);
    font-family: var(--token-font-ui-family);
    font-size: 14px;
    line-height: 1.43;
    text-shadow: none;
    font-weight: 400;
    margin: 0;
    text-decoration: none;
    cursor: default
}

.layout__p_style_confirm-email a {
    color: var(--token-brand-brand-color-3-500)
}

.layout__align-center {
    text-align: center
}

.layout__nowrap {
    white-space: nowrap
}

.layout__mt-10 {
    margin-top: 10px
}

.layout__mr-10 {
    margin-right: 10px
}

.layout__mr-15 {
    margin-right: 15px
}

.layout__mb-8 {
    margin-bottom: 8px
}

.layout__mb-10 {
    margin-bottom: 10px
}

.layout__mb-16 {
    margin-bottom: 16px
}

.layout__mb-20 {
    margin-bottom: 20px
}

.layout__mb-24 {
    margin-bottom: 24px
}

.layout__mb-30 {
    margin-bottom: 30px
}

.layout__mb-32 {
    margin-bottom: 32px
}

.layout__mb-40 {
    margin-bottom: 40px
}

.layout__ml-10 {
    margin-left: 10px
}

.layout__mv-10 {
    margin-top: 10px;
    margin-bottom: 10px
}

.layout__mv-20 {
    margin-top: 20px;
    margin-bottom: 20px
}

.layout__mv-24 {
    margin-top: 24px;
    margin-bottom: 24px
}

.layout__mv-30 {
    margin-top: 30px;
    margin-bottom: 30px
}

.layout__mv-40 {
    margin-top: 40px;
    margin-bottom: 40px
}

.layout__mv-80 {
    margin-top: 80px;
    margin-bottom: 80px
}

.layout__flex-center {
    display: flex;
    justify-content: center
}

.layout__lang {
    min-height: 100%;
    display: flex;
    flex-direction: column
}

@media (max-width: 768px) {
    .layout__lang {
        overflow: hidden
    }
}

.layout__page-container {
    flex-grow: 1
}

.input {
    color: var(--token-brand-primary-1-600);
    font-family: var(--token-font-ui-family);
    font-size: 14px;
    line-height: 1.25;
    text-shadow: none;
    font-weight: 400;
    appearance: none;
    background-color: var(--token-brand-secondary-4);
    box-sizing: border-box;
    display: inline-block;
    width: 100%;
    outline: 0;
    border: 1px solid var(--token-brand-primary-1-300);
    height: 40px;
    padding: 10px 12px;
    border-radius: var(--token-border-radius-input);
    box-shadow: none
}

.input:focus {
    border-color: var(--token-brand-brand-color-3-500);
    box-shadow: none
}

.input[type=number]::-webkit-inner-spin-button, .input[type=number]::-webkit-outer-spin-button {
    appearance: none;
    margin: 0
}

.input:-webkit-autofill, .input:-webkit-autofill:hover {
    box-shadow: 0 0 0 10em var(--token-braend-secondary-4) inset
}

.input:-webkit-autofill:focus {
    box-shadow: 0 0 0 10em var(--token-brand-secondary-4) inset
}

.input:-moz-placeholder {
    opacity: 1;
    color: var(--token-brand-secondary-4);
    text-transform: none;
    font-size: 14px
}

.input::-moz-placeholder {
    opacity: 1;
    color: var(--token-brand-secondary-4);
    text-transform: none;
    font-size: 14px
}

.input::-webkit-input-placeholder {
    color: var(--token-brand-secondary-4);
    text-transform: none;
    font-size: 14px
}

.input_state_disabled {
    color: var(--token-brand-primary-1-200);
    cursor: not-allowed !important
}

.radio-btn {
    user-select: none;
    vertical-align: top;
    display: inline-block
}

.radio-btn__text, .switch {
    display: inline-block;
    vertical-align: middle
}

.switch {
    user-select: none;
    vertical-align: top
}

.switch__label {
    display: flex;
    align-items: center
}

.switch__text {
    font-size: 16px;
    line-height: 1.43;
    margin-left: 10px;
    flex: 1
}

.validation {
    position: relative;
    margin-bottom: 8px
}

.validation .checkbox ~ .validation__icon-ok, .validation .radio-btn ~ .validation__icon-ok {
    display: none !important
}

.validation_type_ok .Select-control, .validation_type_ok .input, .validation_type_ok .phone-input__container .phone-input__input, .validation_type_ok .select-mobile select {
    border-color: var(--token-brand-success-500)
}

.validation_type_ok .validation__icon-ok {
    display: inline-block
}

.validation_type_error .validation__tooltip {
    display: inline-block;
    color: var(--token-brand-error-500)
}

.validation_type_error .Select-control, .validation_type_error .input, .validation_type_error .phone-input__container .phone-input__input, .validation_type_error .select-mobile select {
    border-color: var(--token-brand-error-500)
}

.validation_type_error .Select-control:focus, .validation_type_error .Select-control:hover, .validation_type_error .input:focus, .validation_type_error .input:hover, .validation_type_error .select-mobile select:focus, .validation_type_error .select-mobile select:hover {
    border-color: var(--token-brand-error-500)
}

.validation__icon-ok {
    display: none;
    border-radius: 50%;
    background: var(--token-brand-success-500);
    color: var(--token-brand-secondary-4)
}

.validation__tooltip {
    font-family: var(--token-font-ui-family);
    font-size: 14px;
    line-height: 1.25;
    display: none;
    min-width: 100px;
    margin-top: 8px;
    color: var(--token-brand-error-500)
}

.captcha {
    display: flex;
    align-items: flex-start;
    justify-content: center
}

.captcha > :nth-child(even) {
    margin: 0 16px
}

.captcha__img, .captcha__input-holder {
    vertical-align: middle;
    display: inline-block
}

.captcha__img {
    overflow: hidden;
    border-radius: 4px;
    width: auto;
    height: 40px
}

.captcha__input-holder {
    width: 183px
}

.pseudo-link {
    color: var(--token-brand-brand-color-3-500);
    font-family: var(--token-font-ui-family);
    font-size: 14px;
    line-height: 1;
    text-shadow: none;
    font-weight: 400;
    user-select: none;
    cursor: pointer;
    word-wrap: break-word
}

.pseudo-link, .pseudo-link:hover {
    text-decoration: none
}

.custom-info a:hover, .pseudo-link:active, .pseudo-link:hover {
    border-bottom-color: transparent
}

.pseudo-link_size_s {
    font-size: 12px
}

.scroll-panel {
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    margin: -12px -10px;
    padding: 12px 10px;
    white-space: nowrap;
    scrollbar-face-color: transparent;
    scrollbar-track-color: transparent
}

.scroll-panel::-webkit-scrollbar {
    width: 0;
    height: 0;
    display: none
}

.scroll-panel::-webkit-scrollbar-thumb {
    background: 0 0
}

.scroll-panel::-webkit-scrollbar-track {
    background: 0 0
}

.pager__wrapper {
    margin-top: 12px;
    display: flex;
    justify-content: center
}

.custom-info {
    color: var(--token-brand-primary-1-400);
    font-size: 14px;
    line-height: 1.43;
    margin-bottom: 20px
}

.custom-info p {
    margin: 0 0 25px
}

.custom-info, .custom-info a, .custom-info h1, .custom-info h2 {
    font-family: var(--token-font-ui-family);
    text-shadow: none;
    font-weight: 400
}

.custom-info a {
    color: var(--token-brand-brand-color-3-500);
    font-size: 14px;
    line-height: 1;
    border-bottom: 1px dotted;
    text-decoration: none;
    cursor: pointer
}

.custom-info h1, .custom-info h2 {
    color: var(--token-brand-primary-1-400);
    font-size: 18px;
    line-height: 1.43
}

/* main slider new */


.wrapper {
  overflow: hidden;
  position: relative;
  width: 100%;

  z-index: 1;
}

.swiper-container .swiper-pagination-bullet {
    color: rgba(0, 0, 0, 0);
}

/* 1 */
    .slides, .top-slider .swiper-wrapper, 
    .new-slider  .swiper-wrapper,
    .home-page-tournament-slider-first .swiper-wrapper,
    .home-page-tournament-slider-second .swiper-wrapper,
    .home-page-slots-slider .swiper-wrapper,
    .home-page-jackpots-slider .swiper-wrapper {
    display: flex;
    position: relative;
    top: 0;
    /* left: -400px; */
    height: 100%;
    width: 40000px;
    }

.slides.shifting {
  transition: left 0.2s ease-out;
}


.slide {
  height: 290px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: all 1s;
  position: relative;
  /* background: #ffcf47; */
  border-radius: 2px;
}

/* 2 */
    .top-slider .shifting, 
    .new-slider .shifting,
    .home-page-tournament-slider-first .shifting, 
    .home-page-tournament-slider-second .shifting, 
    .home-page-slots-slider .shifting,
    .home-page-jackpots-slider .shifting  {
        transition: left 0.2s ease-out;
    }
    .top-slider .swiper-wrapper .swiper-slide, .new-slider .swiper-wrapper .swiper-slide,
    .home-page-tournament-slider-first .swiper-wrapper .swiper-slide,
    .home-page-tournament-slider-second .swiper-wrapper .swiper-slide,
    .home-page-slots-slider .swiper-wrapper .swiper-slide,
    .home-page-jackpots-slider .swiper-wrapper .swiper-slide  {
        transition: all 1s;
    }

@media (min-width: 768px){
    .slide {
        height: 336px;
    }
}



.control {
  position: absolute;
  top: 50%;
  width: 50px;
  height: 50px;
  background: #fff;
  border-radius: 50px;
  margin-top: -20px;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.3);
  z-index: 2;
}

.prev,
.next {
  background-size: 22px;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
}

.prev {
  background-image: url(https://cdn0.iconfinder.com/data/icons/navigation-set-arrows-part-one/32/ChevronLeft-512.png);
  left: -20px;
}

.next {
  background-image: url(https://cdn0.iconfinder.com/data/icons/navigation-set-arrows-part-one/32/ChevronRight-512.png);
  right: -20px;
}

.prev:active,
.next:active {
  transform: scale(0.8);
}



/*.top-slider .swiper-wrapper, */
.top-slider .slider-btn-prev, .top-slider .slider-btn-next,

/*.new-slider .swiper-wrapper, */
.new-slider .slider-btn-prev, .new-slider .slider-btn-next,

/*.home-page-tournament-slider-first .swiper-wrapper, */
.home-page-tournament-slider-first .slider-btn-prev, .home-page-tournament-slider-first .slider-btn-next,

/*.home-page-tournament-slider-second .swiper-wrapper,*/
.home-page-tournament-slider-second .slider-btn-prev, .home-page-tournament-slider-second .slider-btn-next,

/*.home-page-slots-slider .swiper-wrapper, */
.home-page-slots-slider .slider-btn-prev, .home-page-slots-slider .slider-btn-next,

/*.home-page-jackpots-slider .swiper-wrapper, */
.home-page-jackpots-slider .slider-btn-prev, .home-page-jackpots-slider .slider-btn-next

 {
    visibility: hidden;
}


.top-slider .loaded .swiper-wrapper, .top-slider .loaded .slider-btn-prev, .top-slider .loaded .slider-btn-next,

.new-slider .loaded .swiper-wrapper, .new-slider .loaded .slider-btn-prev, .new-slider .loaded .slider-btn-next,

.home-page-tournament-slider-first .loaded .swiper-wrapper, .home-page-tournament-slider-first .loaded .slider-btn-prev, .home-page-tournament-slider-first .loaded .slider-btn-next,

.home-page-tournament-slider-second .loaded .swiper-wrapper, .home-page-tournament-slider-second .loaded .slider-btn-prev, .home-page-tournament-slider-second .loaded .slider-btn-next,

.home-page-slots-slider .loaded .swiper-wrapper, .home-page-slots-slider .loaded .slider-btn-prev, .home-page-slots-slider .loaded .slider-btn-next,

.home-page-jackpots-slider .loaded .swiper-wrapper, .home-page-jackpots-slider .loaded .slider-btn-prev, .home-page-jackpots-slider .loaded .slider-btn-next 
{
    visibility: visible;
}

.top-slider .deposit-bonuses-slider .deposit-bonuses-slider__btn.swiper-button-disabled, .top-slider .slider-btn.swiper-button-disabled,

.new-slider .deposit-bonuses-slider .deposit-bonuses-slider__btn.swiper-button-disabled, .new-slider .slider-btn.swiper-button-disabled,

.home-page-tournament-slider-first .deposit-bonuses-slider .deposit-bonuses-slider__btn.swiper-button-disabled, .home-page-tournament-slider-first .slider-btn.swiper-button-disabled,

.home-page-tournament-slider-second .deposit-bonuses-slider .deposit-bonuses-slider__btn.swiper-button-disabled, .home-page-tournament-slider-second .slider-btn.swiper-button-disabled,

.home-page-slots-slider .deposit-bonuses-slider .deposit-bonuses-slider__btn.swiper-button-disabled, .home-page-slots-slider .slider-btn.swiper-button-disabled,

.home-page-jackpots-slider .deposit-bonuses-slider .deposit-bonuses-slider__btn.swiper-button-disabled, .home-page-jackpots-slider .slider-btn.swiper-button-disabled
{
    visibility: hidden;
}


/* operator slider */
    .footer-operators-slider_fixed-height .swiper-container {
        height: 85px;
    }

    .footer-operators-slider .swiper-wrapper .swiper-slide {
        margin-top: 0!important;
    }

.home-page-tournament-slider .games-slider-item:first-child {
    margin-left: unset !important;
}

span.ui-logo {
    display: flex;
}

img.ui-logo__inner {
    width: 100%;
}

.ui_logo_shysldkfk {
    width: auto;
    max-width: 160px;
    height: 32px;
}

.ui-header__item, .ui-header__menu {
    display: flex;
    gap: 5px;
    align-items: center;
    margin-left: unset;
}
.ui-header__menu {
    margin-left: 30px;
}

#header .ui-side-menu_open {
    transform: unset;
    opacity: 1;
    pointer-events: all;
}


.layout__placeholder-headerp-mobile {
    height: 52px;
}

/* install app modal */

    .modal-wrapper {
        position: fixed;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 9998;
        background-color: rgba(0,0,0,.6);
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-end
    }

    .action-sheet {
        position: relative;
        display: grid;
        gap: 32px;
        padding: 32px 16px;
        color: var(--token-brand-secondary-13);
        border-radius: 12px 12px 0 0;
    }
    .action-sheet__close {
        position: absolute;
        top: 13px;
        right: 13px;
        color: inherit;
    }
    .action-sheet-group {
        display: grid;
        gap: 8px;
    }
    .action-sheet-group_center {
        place-items: center;
    }

    .d-none {
        display:none!important;
    }


/*  LAZYLOAD  */
    .ui-image-loader-wrapper__image {
        background-color: var(--token-brand-secondary-5);
        background-image: var(--token-datauri-placeholder);
        background-repeat: no-repeat;
        background-position: center;
        background-size: 72px;
        border-radius: 6px;
    }


.login-page {
    box-sizing: border-box;
    max-width: 1200px;
    margin: 0 auto 80px;
    padding-right: 10px;
    padding-left: 10px;
}

.login-form {
    margin: 0 auto;
    max-width: 400px;
}

.login-form__controls {
    display: flex;
    justify-content: center;
}

.login-form__field-holder {
    margin: 0 auto 20px;
    max-width: 376px;
}



.mobile-m-container {
    height: 100vh;
    padding-top: 136px;
    display: flex;
}

    .mobile-m-container .layout__page-container {
        background-color: var(--token-brand-secondary-4);
    }


.readOnBtn {
    cursor: pointer;
    display: block;
    text-align: right;
    text-decoration: underline;
    font-weight: normal;
}

.c-pointer {
    cursor: pointer;
}

.page-layout-content a {
    color: var(--token-brand-brand-color-3-500);
}
/* TEMPORARY */

/*.ui-logo__inner, #appPreLoader, .ui-head-tabs, .games-menu {*/
/*    visibility:hidden;*/
/*}*/